List account transactions

Retrieve a paginated list of transactions for a specific account. Supports filtering by date range, status, and search terms.

Path Params
uuid
required

ID for a Mercury account.

Query Params
int64
1 to 1000
Defaults to 1000

Maximum number of results to return. Allowed range: 1 to 1000. Defaults to 1000

string

Earliest date to filter transactions. If not provided, defaults to 30 days before the current date. Format: YYYY-MM-DD or ISO 8601 string

string

Latest date to filter transactions. If not provided, defaults to the current date. Format: YYYY-MM-DD or ISO 8601 string

string

Search term to filter transactions by description or counterparty name

string
enum
Allowed:
int64
≥ 0

Number of results to skip for pagination

string
enum
Defaults to desc

Sort order. Can be 'asc' or 'desc'. Defaults to 'desc'

Allowed:
uuid

ID returned from /account/:id/request-send-money

string

Name of mercuryCategory you want to filter on. Merchant Type in the UI.

uuid

UUID of a custom category. Can be returned from /categories endpoint.

Responses

400

Invalid categoryId or mercuryCategory or requestId or order or offset or status or search or end or start or limit

404

accountId not found

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json